跳到主要内容

添加从集群 (V2)

Adds one or more secondary clusters. New secondary clusters use the existing Global Cluster CU specification.

POST/v2/globalClusters/{globalClusterId}/secondaryClusters
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
globalClusterIdstringpathrequired

全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
请求体application/json
secondaryClustersarrayrequired

要添加的从集群。

[]secondaryClustersobjectrequired
clusterNamestring必填项

从集群显示名称。

示例值:secondary-cluster-ap
regionIdstring必填项

从集群区域 ID。

示例值:aws-ap-southeast-1
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/secondaryClusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"secondaryClusters": [
{
"clusterName": "secondary-cluster-ap",
"regionId": "aws-ap-southeast-1"
}
]
}'
响应200 - application/json
jobIdstring

异步操作的任务 ID。

示例值:job-xxxxxxxxxxxxxxx

返回错误消息。

codeinteger

响应码。

示例值:400
messagestring

错误描述。

示例值:Invalid request parameters.
{
"jobId": "job-xxxxxxxxxxxxxxx"
}